Bug 360521 - selinux RPMs Generate Output
selinux RPMs Generate Output
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-10-31 12:31 EDT by Daniel Qarras
Modified: 2007-12-29 09:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-29 09:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-31 12:31:51 EDT
Description of problem:
While installing/updating SELinux related RPMs on a system where SELinux is
disabled many of them produce output. E.g.,

  Updating  : selinux-policy-targeted      ####################### [24/64] 
libsepol.mls_from_string: invalid MLS context s0:s0
libsepol.mls_from_string: could not construct mls context structure
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert
system_u:object_r:fixed_disk_device_t:s0:s0 to sid
invalid context system_u:object_r:fixed_disk_device_t:s0:s0
libsemanage.semanage_install_active: setfiles returned error code 1.
semodule:  Failed!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot with SELinux disabled
2. Install/update SELinux related RPMs
3. Notice output
Actual results:
Output printed.

Expected results:
No output.

Additional info:
I believe any output from RPM installation/update is prohibited by RPM packaging
guidelines so I am reporting this issue.
Comment 1 Daniel Walsh 2007-11-01 12:03:17 EDT
fixed in selinux-policy-3.0.8-44.fc7
Comment 2 Daniel Qarras 2007-12-29 09:23:01 EST
I can confirm that this is now fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.